KDE SC 4.12.5 for Slackware 14.1 (and -current if you want)

What is supposed to be the last increment in the KDE 4.12 release cycle: the new KDE Software Compilation 4.12.5 was announced earlier today, again a stability updates for the Applications and Development Platform. The Plasma Workspaces version to accompany this KDE SC release is 4.11.9.

I was in a serious calamity at work and was not able to devote any attention to the release until now, late night, safely situated in the living room with the dub sounds of Bim Sherman flowing out of the speakers. I have a busy day ahead, but I prepared the packages during the weekend (thanks to early access to the sourcecode) and this article is a nice conclusion of a hectic day.

I followed up on my promise to build these packages for the final KDE  4.12, on Slackware 14.1. The packages are available in the “14.1” directory of my ‘ktown‘ repository… not in the “current” directory because I have KDE 4.13.0 available for you Slackware-current users.

Still, KDE 4.12.5 will work fine on Slackware-current if you want this, rather than the more rough & unpolished 4.13.

What’s new in my KDE 4.12.5 packages?

I updated three of the “dependency” packages: LibRaw, akonadi and soprano. I also updated Calligra to the 2.8.2 version which I had already added to my KDE 4.13.0 package set. Upon request, I have added the latest (several months old, but still) KDevelop and even added a new package: “kdev-python” which brings python language support to KDE’s integrated development environment.

I do hope that all of this will get into Slackware-current at some point, but until that time, enjoy my packages and give me feedback about their stability.

How to upgrade to KDE 4.12.5 ?

You will find all the installation/upgrade instructions that you need in the accompanying README file. That README also contains basic information for KDE recompilation using the provided SlackBuild script.

You are strongly encouraged to read and follow these installation/upgrade instructions!

Where to find packages for KDE 4.12.5 ?

Download locations are listed below (you will find the sources in ./source/4.12.5/ and packages in /14.1/4.12.5/ subdirectories). Using a mirror is preferred because you get more bandwidth from a mirror and it’s friendlier to the owners of the master server! And let me say “thank you!” to the mirror admins who provide such an appreciated service to the community.

Have fun! Eric

13 thoughts on “KDE SC 4.12.5 for Slackware 14.1 (and -current if you want)





  1. Hi Eric,

    I came across a bug possibly in GTK which causes problems in certain applications when using the oxygen-gtk theme.

    There is a workaround that allows us to use oxygen-gtk even with this bug without crashing any apps, by changing the configuration value GtkComboBox::appears-as-list from 1 to 0 in the file /usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc/

    Maybe it would be worth it to make this change in your KDE packages, since apparently this bug still exists in GTK?

    See: https://bugs.kde.org/show_bug.cgi?id=326424
    Relevant comment:
    “For oxygen, edit the normally already existing file “/usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc” and change GtkComboBox::appears-as-list = 1 into GtkComboBox::appears-as-list = 0″

    Doing this fixed meld for me on KDE 4.13


  2. Pingback: Links 30/4/2014: Android Rising in Tablets, More NSA Leaks | Techrights

  3. I have uploaded a rebuilt “kde-workspace” package.
    I applied a patch that prevents a crash when you select something else than KDE in the desktop selection dropdown of KDM. This bug was introduced between 4.11.8 and 4.11.9 and will be fixed in 4.11.10 but I could not wait for that.
    The same kde-workspace-4.11.9 update is available for my KDE 4.13.0 packages, there the version number changes from 4.11.8 to 4.11.9.

    I also moved the kde*.desktop files to /usr/share/xsessions upon request from Willy Sudiarto Raharjo and after checking it with Patrick. This allows other graphical login managers (not just KDM) to use them.


  4. Gwenview doesn’t work after upgrade LibRaw, because compiled with previous version of this library. Is it possible update gwenview package ?


  5. Hi Spirtt0.

    What does not work in Gwenview? It works perfectly fine here. And it _was_ compiled against the new LibRaw 0.16.0 which I added to the repository alongside KDE 4.12.5.

    The gwenview package in KDE 4.13.0 was compiled against LibRaw-0.15.4 and that version was shipped alongside KDE 4.13.0, so there should not be any issues with that either (Gwenview works for me).

    You could only get into trouble if you installed the newer LibRaw from the KDE 4.12.5 package set while you have KDE 4.13.0 installed.

    When KDE 4.13.1 is released, I will update the LibRaw package for that sub-repository as well.

    Eric


  6. BTW, thanks also for the updated kdevelop + kdev-python. I had compiled them myself (using your slackbuild scripts, so it was easy as pie) and was thinking to nag you a bit about it but you beat me 🙂

    BTW2, gwenview works fine in my system too.


  7. Hi Eric.

    Ok. I just looked about my installed packages. Yeah, looks like I’d upgrade LibRaw from 4.12.5 upgrade, so i just made symlink and all working fine.

    Sorry for disturb 🙂



  8. Hi Streamthreader

    I do not include knemo in my KDE packages, it is also not part of Slackware. So, I can not do anything about this. You have to patch the source for the package you built.

    Eric


Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.